
local gr = love.graphics

function love.load()
	wd,ht  = 500,500
	love.window.setMode( wd, ht, {} )
	love.window.setTitle( 'Video Test' )
	end

function love.update( dt )
	end

function love.draw()
	gr.setBackgroundColor(55,55,255)
	gr.setColor( 255, 255, 255, 255 )
	gr.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	--gr.print("CAUTION: On my Windows 7 computer, script doesn't exit cleanly",10,340)
	--gr.print('once "L" is pressed!',75,360)
	--gr.print('If "L" is pressed a second time, the program crashes!',10,380)
	gr.print('Press "L" to load and play video',10,410)
	--gr.print('Press "V" to rewind and play again',10,430)
	gr.print('Press "ESC" to exit',10,460)
	if video then
		if video:isPlaying() then
			gr.draw(video,wd/2,ht/2,0,.5,.5,video:getWidth()/2,video:getHeight()/2)

			end
		end
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	if key == 'l' then
		video = gr.newVideo('gizmo.ogv')--'Typing.ogv',nil)--'Pac-Man.ogv',nil)--'small.ogv',true)
		video:play()
		end
	if key == 'v' then video:rewind() video:play() end
	end
